@import "../../../assets/scss/global";

.header {
    position: sticky;
    top: 0;
    width: 100%;
    z-index: 2;

    $fixed-header-desktop-height: 98px;

    [class="container"] {
        display: flex;
        justify-content: space-between;
    }

    .fixed-header {
        position: relative;
        display: flex;
        width: 100%;
        height: 64px;
        align-items: center;
        justify-content: space-between;
        box-sizing: border-box;
        background-color: $primary-color5;
        border-bottom: 1px solid $primary-color;
        transition: all .2s linear;

        @include largeScreen {
            height: $fixed-header-desktop-height;
        }
    }

    &[data-scroll='scroll-out'] {
        .fixed-header {
            background-color: white;
            box-shadow: 0 4px 54px rgba(0, 0, 0, 0.1);
            border-bottom: 1px solid #DFDFDF;
        }

        .nav-item{
            color: $dark-color !important;

            &:hover{
                color: $primary-color !important;
            }
        }

        .left-side{
            img{
                visibility: hidden;
                opacity: 1;
            }

            .logo-box {
                box-shadow: none;
                height: 63px;
                width: 108px;

                .logo-content {
                    gap: 6px;
                }

                svg {
                    &.logo-icon {
                        width: 36px;
                    }

                    &.logo-text {
                        width: 64px;
                        height: 21px;
                    }
                }

                @include largeScreen{
                    height: calc(#{$fixed-header-desktop-height} - 1px);
                    width: 144px;

                    .logo-content {
                        gap: 8px;
                    }

                    svg {
                        &.logo-icon {
                            width: 48px;
                        }

                        &.logo-text {
                            width: 88px;
                            height: 28px;
                        }
                    }
                }

                .flag{
                    // height: 75px;
                    // box-shadow: none;

                    // @include largeScreen{
                    //     height: 90px;
                    // }

                    // &::after, &::before{
                    //     background-color: white;
                    //     transform: rotate(0deg);
                    //     box-shadow: 38px 0 0 3px $primary-color;
                    //     @include largeScreen{
                    //         box-shadow: 53px 0 0 3px $primary-color;
                    //     }
                    // }

                    // &:after{
                    //     box-shadow: -38px 0 0 3px $primary-color;
                    //     @include largeScreen{
                    //         box-shadow: -53px 0 0 3px $primary-color;
                    //     }
                    // }
                }
            }
        }

        .right-side{
            .profile-gr {
                .profile-icon {
                    path{
                        fill: $dark-color;
                    }
                }
    
                .profile-active {
                    path {
                        fill: $primary-color;
                    }
                }
            }
    
            .menu-gr {
                .hamburger-icon {
                    path {
                        fill: $dark-color;
                    }
                }
    
                .hamburger-active {
                    path {
                        fill: $primary-color;
                    }
                }
            }
        }
    }

    .nav-item {
        position: relative;
        padding: $sm-padding 16px;
        cursor: pointer;
        line-height: 24px;
        font-weight: 600;
        color: white !important;
        z-index: 2;
        text-shadow: 0px 4px 54px rgba(0, 0, 0, 0.1);
        transition: all .15s;

        &:hover{
            color: #FFE600 !important;
        }

        &.active{
            &::after{
                position: absolute;
                content: "";
                height: 5px;
                width: 100%;
                background-color: #F09643;
                bottom: -25px;
                left: 0;
            }
        }

        &:nth-of-type(1){
            margin-left: 24px;
        }
    }

    .left-side {
        display: flex;
        align-items: center;

        .logo-container {
            width: 108px;
            position: relative;

            @include largeScreen{
                width: 144px;
            }
        }

        .logo-box {
            width: 80px;
            height: 80px;
            box-shadow: 0px 12px 20px rgba(248, 76, 38, 0.15);
            transition: all .15s linear;
            background-color: white;
            display: flex;
            justify-content: center;
            align-items: center;
            gap: 6px;
            position: absolute;
            top: -32px;
            left: 50%;
            transform: translateX(-50%);
            z-index: 1;

            .logo-content {
                display: flex;
                justify-content: center;
                align-items: center;
                transition: height .15s linear;
            }

            @include largeScreen{
                width: 125px;
                height: 125px;
                top: calc(-#{$fixed-header-desktop-height} / 2);
                gap: 8px;
            }

            svg {
                display: block;

                &.logo-icon {
                    width: 48px;
                    height: auto;
                    transition: all .15s linear;
                }

                @include largeScreen{
                    &.logo-icon {
                        width: 82px;
                    }
                }

                &.logo-text {
                    width: 0;
                    height: 0;
                    transition: all .15s linear;
                }
            }

            .flag{
                // z-index: 1;
                // height: 100px;
                // width: 108px;
                // @include largeScreen{
                //     width: 144px;
                //     height: 121px;
                // }
                // position: absolute;
                // overflow: hidden;
                // top: -46px;
                // border-bottom: none;
                // text-align: center;
                // transition: height .15s linear;
                // background-color: white;
                // box-shadow: 0px 4px 20px rgba(76, 95, 168, 0.1);
            
                // &:before,
                // &:after {
                //     content: "";
                //     display: block;
                //     height: 100%;
                //     width: 200%;
                //     background-color: white;
                //     transform: rotate(12deg);
                //     box-shadow: 49px 0 0 3px $primary-color;
                //     transition: all .15s linear;
                //     @include largeScreen{
                //         box-shadow: 63px 0 0 3px $primary-color;
                //     }
                //     position: absolute;
                //     top: 1px;
                //     right: -120%;
                // }
                // &:after {
                //     transform: rotate(-12deg);
                //     left: -120%;
                //     box-shadow: -49px 0 0 3px $primary-color;
                //     @include largeScreen{
                //         box-shadow: -63px 0 0 3px $primary-color;
                //     }
                // }
            }
        }
    }

    .right-side {
        display: flex;
        align-items: center;
        column-gap: $md-space;
        @include largeScreen {
            column-gap: 12px;

        }

        .language-gr {
            position: relative;
            display: flex;
            align-items: center;

            svg {
                margin-left: 5px;
            }
        }

        .profile-gr {
            position: relative;

            .profile-icon {
                transition: all 1s ease-in-out;
                path{
                    fill: white;
                }
            }

            .profile-active {
                // path {
                //     fill: $primary-color;
                // }
            }
        }

        .menu-gr {
            .hamburger-icon {
                transition: transform .3s ease-in-out;

                path {
                    fill: white;
                }
            }

            .hamburger-active {
                transform: rotate(-90deg);

                // path {
                //     fill: $primary-color;
                // }
            }
        }

        .current-plan {
            display: flex;
            align-items: center;
            color: white;
            padding: 4px 21px;
            gap: 8px;
            width: 190px;
            height: 48px;
            background: linear-gradient(88.16deg, #F79945 1.56%, #F84C26 97.89%);
            border-radius: 12px;
            cursor: pointer;

            > div {
                p {
                    font-weight: 600;
                    font-size: 16px;
                }

                span {
                    font-size: 10px;
                    line-height: 16px;
                }
            }
        }

        .user-group {
            position: relative;
            display: flex;
            align-items: center;

            img {
                margin-right: 5px;
                height: 40px;
                width: 40px;
                object-fit: cover;
                object-position: center;
                border-radius: 50%;
            }

            .user-name {
                font-weight: 600;
                color: $dark-color;
            }

            .user-role {
                color: #757688;
                font-size: 13px;
            }
            .avatar-default{
                height: 50px;
                width: 50px;
                border-radius: 50%;
                background: #FFF;
                display: flex;
                justify-content: center;
                align-items: center;
            }
        }

        .btn-login {
            text-transform: uppercase;
            @include largeScreen {
                font-size: 14px;
                padding: 8px 16px;
            }        
        }

        .btn-explore {
            background: linear-gradient(88.16deg, #FFB400 1.56%, #FFA000 48.99%, #FF7800 97.89%);
        }
        .btn-trial {
            text-transform: uppercase;
            background: linear-gradient(88.16deg, #FFB400 1.56%, #FFA000 48.99%, #FF7800 97.89%);
            @include largeScreen {
                font-size: 14px;
                padding: 8px 16px;
            }
        }

        .right-logo{
            margin-left: 10px;

            img{
                width: 90px;
            }
        }
    }
}